## IdeOmniBarAddin IdeOmniBarAddin — addins to extend the IdeOmniBar |

## Functions

void | ide_omni_bar_addin_load ()
void | ide_omni_bar_addin_unload ()

## Types and Values

#define | IDE_TYPE_OMNI_BAR_ADDIN
struct | IdeOmniBarAddinInterface
| IdeOmniBarAddin

## Object Hierarchy

        GInterface
        ╰── IdeOmniBarAddin

## Prerequisites

IdeOmniBarAddin requires GObject.

## Description

The IdeOmniBarAddin allows plugins to extend how the IdeOmniBar works. They can add additional components such as buttons, or more information to the popover.

See IdeOmniBar for information about what you can alter.

## Functions

### ide_omni_bar_addin_load ()

    void
    ide_omni_bar_addin_load (IdeOmniBarAddin *self,
                             IdeOmniBar *omni_bar);

Requests that the IdeOmniBarAddin initialize, possibly modifying `omni_bar` as necessary.

#### Parameters

self | an IdeOmniBarAddin |
omni_bar | an IdeOmniBar |

Since: 3.32

### ide_omni_bar_addin_unload ()

    void
    ide_omni_bar_addin_unload (IdeOmniBarAddin *self,
                               IdeOmniBar *omni_bar);

Requests that the IdeOmniBarAddin shutdown, possibly modifying `omni_bar` as necessary to return it to the original state before the addin was loaded.

#### Parameters

self | an IdeOmniBarAddin |
omni_bar | an IdeOmniBar |

Since: 3.32

## Types and Values

### IDE_TYPE_OMNI_BAR_ADDIN

    #define IDE_TYPE_OMNI_BAR_ADDIN (ide_omni_bar_addin_get_type ())

### struct IdeOmniBarAddinInterface

    struct IdeOmniBarAddinInterface {
      GTypeInterface parent;

      void (*load)   (IdeOmniBarAddin *self,
                      IdeOmniBar      *omni_bar);
      void (*unload) (IdeOmniBarAddin *self,
                      IdeOmniBar      *omni_bar);
    };

### IdeOmniBarAddin

    typedef struct _IdeOmniBarAddin IdeOmniBarAddin;